# minetest-server-docker

A minetest docker image and toolset for comfort setup.

## Description

This project aims to automate minetest server deployment.

To be precise, these are the aims:
* Fully automated game and mods installation, using description from .env file [done]
* Comfort server TUI, detachment and attachment to server console              [not done, see notes, 1]


## Deployment

To deploy this server setup, follow these steps:
1. Clone this repo: ``git clone https://git.foxarmy.org/leca/minetest-server-docker``/
2. Copy sample environment file and edit it to your needs: ``cp sample.env .env && nano .env``.
3. Execute installation script. It will download game and mods you specified in `.env` file.
4. Build docker image and launch it: ``docker-compose up --build``
5. Read logs and ensure that everything works properly. If everything's ok, stop the container and start it detached: ``docker-compose up -d``

## Notes

1. As far as I can see, ``minetesetserver --terminal`` is a kind of poor working thing, I couldnt get it to work under both ``tmux`` and just docker. I think someone needs to rewrite minetest's server TUI (maybe me)


## Credits

Thanks to 

@orion:redeyes.site (matrix) for helping me with some ((docker moments))

@disedead:dementia.fun for staying with me in vc and being my rubber duck

@vova_uwu:dimensionproject.net for hating docker
